GLSA-201507-11 : Perl: Denial of Service

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-201507-11
(Perl: Denial of Service)

S_regmatch() function lacks proper checks before passing arguments to
atoi()

Impact :

A remote attacker could send a specially crafted input, possibly
resulting in a Denial of Service condition.

Workaround :

There is no known workaround at this time.

See also :

https://security.gentoo.org/glsa/201507-11

Solution :

All Perl users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=dev-lang/perl-5.20.1-r4'

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Gentoo Local Security Checks

Nessus Plugin ID: 86082 ()

Bugtraq ID: 75704

CVE ID: CVE-2013-7422

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now